﻿@import "variables.css";

html, body {
    background-size: cover;
    line-height: 14px;
    margin: 0px;
    padding: 0px;
    background-color: var(--background-color);
    height: 100%;
    font-family: var(--font-basic);
    font-size: 16px !important;
}

.textbox-start {
    background-color: rgba(255, 255, 255, 0);
    width: 100%;
    text-align: center;
    min-height: 15px;
    padding: 15px;
    color: var(--white);
    font-size: 14px;
}


.break-line {
    border-bottom: 1px solid var(--soft-grey);
}

.divWaiting {
    position: fixed;
    background-color: var(--light-grey);
    z-index: 2147483647;
    opacity: 0.8;
    filter: alpha(opacity=80);
    overflow: hidden;
    text-align: center;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    padding-top: 20%;
}

/**Hauptnavi Master*/
.navigation {
    height: 100%;
    list-style-type: none;
    margin: 0;
    padding: 0;
    z-index: 10;
    overflow: hidden;
    background: var(--background-menu);
    box-shadow: none;
    width: var(--navigation-width);
    position: fixed;
    font-size: 18px;
    color: var(--white);
    font-family: var(--font-basic) !important;
    border-right: none;
}

.navigation-mobile {
    /*position: sticky;*/
}

.navigation-submenu {
    width: auto;
    padding: 0;
    background-color: var(--basic-color-black);
}

.menu-logo-img {
    width: 250px;
}

.menu-logo {
    margin: 30px 0;
    text-align: left;
}

/**Sub navi datenpfelge*/
.navigation-ul a {
    float: left;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    font-weight: 600;
    color: #b4b4b4;
}

.navigation-ul a:hover {
    color: var(--basic-color-dark);
}


.active-navi {
    color: #484848 !important;
    border-bottom: 2px solid #737373 !important;
}

.basic-navi {
    color: #b4b4b4 !important;
    border-bottom: none !important;
}

.basic-navi:hover {
    color: #484848 !important;
}

/**Weißer Hintergurnd und Navi module für globalen Seitenaufbau*/
.white-space-column {
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: var(--white);
}

.fixed-header {
    position: sticky;
    height: 142px;
    width: 100%;
    background-color: var(--white);
    top: 0;
    z-index: 1;
}
/**Login Feld*/
.inputfield-basic {
    line-height: 31px;
    border-radius: 0;
    border-color: var(--soft-grey);
    text-shadow: none;
    box-shadow: none;
    border: 1px solid var(--soft-grey);
    width: 100%;
    min-height: 30px;
}
/**User Bereich*/
.user {
    font-size: 20px;
    min-width: 380px;
}

.user-mobile {
    float: right;
    margin-top: -28px;
}

.user-main {
    float: left;
    position: fixed;
    bottom: 0;
    margin: 30px;
}

.user-logo {
    float: left;
    width: 60px;
    margin-right: 10px;
    margin-top: 8px;
}

.u-logout {
    float: left;
    margin-right: 5px;
    max-width: 38px;
}

.user-logoff-text {
    font-size: 11px;
    color: var(--basic-color-light);
    letter-spacing: 0;
    float: left;
}

.user-name {
    margin-bottom: 0;
    margin-top: 5px;
    width: 245px;
    color: var(--white);
    font-size: 20px;
}

.user-welcome {
    margin-top: 5px;
}

.user-logoff-btn-mobile {
    float: left;
    width: 22px;
    padding: 5px 0 0 0;
}

.user-logoff-btn {
    font-size: 16px;
    color: var(--white);
    letter-spacing: 0;
    text-align: center;
    background: var(--logoff);
    border-radius: 100px;
}
/**Buttons*/
.btn-basic {
    background-color: var(--molytix-green);
    border-radius: var(--vrn-border-radius);
    padding: 5px 15px;
    color: var(--black);
    border: none;
    line-height: 25px;
    font-size: 16px !important;
    box-shadow: var(--shadow);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 700;
    font: 700 16px var(--font-basic);
    box-shadow: var(--shadowBTN);
}

.btn-basic-inactive {
    background-color: rgba(0, 47, 90, 0.2);
}

.btn-alert {
    background-color: var(--vrn-orange-alert);
}

.btn-abbrechen {
    background-color: var(--dark-blue);
}

h4 {
    font-size: 20px;
}

p {
    margin: 0;
    color: var(--headline-color);
    font-size: 18px;
    line-height: 22px;
}

.bg-white {
    background-color: var(--white);
}
/**Überschriften*/
.headline {
    font-size: 24px;
    color: var(--basic-color-dark) !important;
    font-weight: 700;
    font-family: var(--font-basic) !important;
    text-transform: uppercase;
}

.master-sub-headline {
    font-size: 22px;
    color: var(--headline-color) !important;
    font-family: var(--font-basic) !important;
    text-transform: uppercase;
    font-weight: 700;
}

.content-headline {
    font-size: 14px;
    color: var(--headline-color) !important;
    font-family: var(--font-basic) !important;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 10px;
}

.sub-headline {
    font-size: 16px;
    margin-bottom: 20px;
    color: var(--black) !important;
    font-family: var(--font-basic) !important;
    text-transform: uppercase;
    font-weight: 700;
}

.gridview-titel {
    background-color: transparent !important;
    color: var(--basic-color-dark) !important;
    font-size: 16px !important;
    font-family: var(--font-basic) !important;
    text-align: left !important;
    border: none !important;
    padding-bottom: 20px;
    font-weight: 700;
    text-transform: uppercase;
}

.padding-20-0 {
    padding-top: 20px;
    padding-bottom: 20px;
}

.padding-20 {
    padding: 20px;
}

.padding-bottom-10 {
    padding-bottom: 10px;
}

.padding-bottom-20 {
    padding-bottom: 20px;
}

.padding-bottom-40 {
    padding-bottom: 40px;
}

.padding-bottom-80 {
    padding-bottom: 80px;
}

.textbox-umgebung {
    background-color: rgba(255, 255, 255, 0) !important;
    float: left;
    color: red;
    font-size: x-large;
}

a:focus, a:hover {
    color: var(--white);
    text-decoration: none;
}

.date-edit-name {
    float: left;
}

.arrow-class {
    float: left;
    margin: 10px;
}

.wochentag-stundenverschreibung {
    margin: 5px 0 0 0;
}

.login-microsoft {
    border-radius: 0;
}

.login-microsoft .dx-vam {
    color: var(--basic-color-light);
    font-size: 18px;
}


ul {
    line-height: 22px;
}

.label-bold {
    font-weight: bold;
}

.left {
    float: left;
    width: 45%;
}

.right {
    float: right;
    width: 45%;
}

.margin-bottom-60 {
    margin-bottom: 60px;
}

.margin-bottom-40 {
    margin-bottom: 40px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}


label {
    margin-top: .5rem;
}

textarea {
    border: 1px solid var(--border-color);
    padding: 5px 15px 5px 18px;
}

.rahmen {
    border: 1px solid var(--border-color);
    padding: 10px;
    width: 100%;
}

/*Responsiv*/
@media (max-width: 1200px) {
    .navigation {
        display: none;
    }
}

/*@media (max-width: 1420px) {
    .left {
        float: none;
        width: 100%;
        padding: 0;
    }

    .right {
        float: none;
        width: 100%;
        padding: 0;
    }
}*/

@media (min-width: 576px) {

    .navigation-mobile {
        display: none;
    }

    .navigation {
        display: block;
        width: 300px;
    }

    .main {
        margin-left: 300px;
    }
}

@media (min-width: 576px) and (max-width: 769px) {
    .dxnb-headerCollapsed {
        padding: 10px 15px !important;
    }

    .dxnb-headerCollapsed a {
        font-size: 16px;
    }

    .navigation {
        width: 230px !important;
    }

    .main {
        margin-left: 230px !important;
    }

    .user-name {
        font-size: 16px;
    }

    .dxnb-header {
        width: 230px !important;
        padding: 15px 15px 15px 15px !important;
    }

    .dxnbLite .dxnb-content {
        padding: 5px 5px 5px 5px !important;
    }

    .user-logoff-text {
        width: 150px;
    }

    .col-md-10 {
        flex: 0 0 99.333333%;
        max-width: 99.333333%;
    }

    .row {
        margin-right: -10px;
    }

    .sub-headline {
        font-size: 18px;
    }
}

@media (max-width: 575px) {
    .error-message-btn {
        float: left;
        margin: 5px;
    }

    label {
        display: inline;
        margin-bottom: .5rem;
    }

    .m4-logo-img {
        margin: 0 auto;
        display: none !important;
        padding: 0 0 8px 0;
        max-width: 220px;
    }

    .m4-logo-link {
        min-height: 43px !important;
        padding: 12px 0 !important;
    }

    .m4-logo {
        margin: 0 auto;
        display: none !important;
    }

    .headline {
        font-size: 22px;
        width: 250px;
    }

    .content-headline {
        font-size: 14px;
    }

    p {
        min-width: 270px;
        font-size: 14px;
    }

    h4 {
        font-size: 18px;
        width: 250px;
    }

    h5 {
        width: 250px;
    }

    .Rectangle-11 {
        min-width: 270px;
    }

    ul {
        margin-left: -20px;
    }

    .sub-headline {
        min-width: 260px;
        font-size: 16px;
    }

    .AT-suchen-label {
        width: 250px;
    }

    .dxpnlControl {
        width: 250px;
    }

    .dxmLite.dxm-side-menu-mode .dxm-slide-panel {
        background-color: var(--light-grey);
        border-right: none;
    }


    .dxmLite .dxm-item a.dx {
        color: var(--black);
        font-family: "Open Sans";
    }

    .dxmLite {
        color: var(--black);
    }

    .dxmLite.dxm-side-menu-mode > .dxm-slide-panel .dxm-main {
        background-color: var(--light-grey);
        border-bottom: var(--soft-grey);
        box-shadow: none;
    }

    .dxmLite.dxm-side-menu-mode .dxm-slide-panel .dxm-selected {
        color: var(--black);
        border-left: 5px solid var(--dark-blue) !important;
        border-bottom: 1px solid var(--soft-grey) !important;
        border-top: 1px solid var(--soft-grey) !important;
        background-color: var(--light-grey) !important;
        min-width: 26px;
        border: none;
        font-weight: bold;
        font-family: "Open Sans";
    }

    .dxm-side-menu-mode .dxm-slide-panel .dxm-item {
        padding: 5px 12px !important;
        background-color: var(--light-grey);
        border-bottom: 1px solid var(--soft-grey);
        height: 30px;
    }
    /*Arrows in Menu*/
    .dxWeb_mVerticalPopOut {
        background-position: -269px -150px;
        width: 7px;
        height: 8px;
    }

    .dxm-left .dxm-back-icon {
        background-position: -302px -147px;
        width: 13px;
        height: 13px;
    }

    /*textarea {
        width: 250px !important;
    }*/

    /*.dxeButtonEdit {
        width: 250px !important;
    }*/

    .date-edit {
        width: 100% !important;
    }

    .textEntry {
        width: 100% !important;
    }

    .btn-basic {
        margin-bottom: 5px;
        font-size: 11px !important;
    }

    .master-sub-headline {
        width: 250px;
    }

    .gridview-titel {
        font-size: 16px !important;
    }

    .dxeTextBox {
        width: 250px !important;
    }

    .m4-logo-link a {
        font-size: 16px;
    }

    .dxmLite.dxm-side-menu-mode > .dxm-slide-panel .dxm-popup {
        background-color: var(--soft-grey);
        border: none;
        box-shadow: none;
        padding-top: 0px;
    }

    .dxmLite.dxm-side-menu-mode .dxm-bread-crumbs {
        border-bottom: 1px solid var(--soft-grey);
        font-weight: bold;
        border-bottom: 2px solid var(--dark-blue);
    }

    .dxm-side-menu-mode .dxm-bread-crumbs > span {
        font-family: "Open Sans";
    }

    span.dx-vam:hover {
        font-family: "Open Sans";
    }

    .dxmLite.dxm-side-menu-mode .dxm-slide-panel .dxm-main {
        padding: 0;
    }
    /*Padding Rectangle*/
    /*.container-fluid {
        width: 100%;
        padding-right: 15px;
        padding-left: 35px;
    }*/
}
/*End of Responsive*/


.background-light {
    /*background-color: rgba(0, 152, 216, .1);*/
    background-color: var(--dashboard-bg-light);
}

.background-darker {
    /*background-color: rgba(0, 152, 216, 0.35);*/
    background-color: var(--dashboard-bg-dark);
}

.padding-15 {
    padding: 15px;
}

/*Von module importiert*/
.m4-basic {
    padding: 0;
    margin: 0 10px 20px;
    border: none;
    border-radius: var(--vrn-border-radius);
    width: 250px;
}

.m4-text {
    background-color: var(--white);
    color: var(--basic-color-dark);
    min-height: 38px;
    padding: 5px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.m4-logo {
    margin: 0 auto;
    display: block;
    padding: 60px 0 40px 0;
    max-width: 40px;
}

.m4-logo-img {
    margin: 0 auto;
    display: block;
    padding: 0 0 8px 0;
    max-width: 180px;
}

.m4-logo-link {
    min-height: 200px;
    width: 250px;
    font-size: 18px;
    color: var(--white) !important;
    letter-spacing: 0;
    text-align: center;
    line-height: 30px;
    border-radius: var(--vrn-border-radius);
    background-color: var(--background-menu);
    box-shadow: var(--shadow);
}

.m4-logo-link:hover {
    background-color: var(--molytix-green);
}

.m4-logo-link a {
    color: var(--white);
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
}

.m4-basic:hover {
    background-color: var(--kachel-hover) !important;
    border: none;
    border-radius: var(--vrn-border-radius);
}

.date-edit {
    float: left;
}

/*Hintergrundkasten*/
.Rectangle-11 {
    background-color: var(--white);
    padding: 20px 0;
    border: 1px solid var(--soft-grey);
    border-radius: var(--vrn-border-radius);
    margin: 40px 0;
    box-shadow: var(--shadow);
}

.Rectangle-15 {
    background-color: var(--light-grey);
    border: 1px solid var(--soft-grey);
    border-radius: var(--vrn-border-radius);
    padding: 10px 15px;
    margin: 20px 20px 20px 0;
}

.Rectangle-9 {
    border: 1px solid var(--soft-grey);
    padding: 20px 15px;
}

.Rectangle-2 {
    background-color: var(--light-grey);
}

.margin-top-10 {
    margin-top: 10px;
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.margin-top-40 {
    margin-top: 40px;
}

/**Import Seite*/
.import-inputfield {
    line-height: 30px;
    padding: 5px;
}

/**AT Seite*/
.AT-suchen-textbox {
    border-left: 2px solid var(--basic-color-dark);
    width: 100%;
    line-height: 50px;
    font-size: 16px;
    border-bottom-left-radius: var(--vrn-border-radius);
    border-bottom-right-radius: var(--vrn-border-radius);
    border-right: 2px solid var(--basic-color-dark);
    border-bottom: 2px solid var(--basic-color-dark);
    border-top: none;
}

.AT-suchen-label {
    background-color: var(--background-menu);
    line-height: 18px;
    border-top-left-radius: var(--vrn-border-radius);
    border-top-right-radius: var(--vrn-border-radius);
    color: var(--white);
    /*padding: 10px 15px;*/
    padding: 10px 15px 10px 18px;
    font-size: 16px;
    text-align: left;
    text-transform: uppercase;
    font-weight: 700;
}
/*Rahmen für Diagramm Demo*/
.chart-at {
    border-bottom-right-radius: var(--vrn-border-radius);
    border-bottom-left-radius: var(--vrn-border-radius);
    border: 1px solid var(--basic-color-dark);
}

/*Stundenverschreibung*/
.button-stunden-basic {
    background-color: var(--molytix-grey-forms);
    padding: 10px;
    border: 1px solid var(--molytix-grey-forms-border);
    border-radius: var(--vrn-border-radius);
    margin-bottom: 5px;
    font-size: 16px !important;
    line-height: 16px !important;
    color: var(--black) !important;
    margin-right: 5px;
}

.button-stunden-inactive {
    background-color: var(--molytix-grey-forms);
    padding: 10px;
    border: 1px solid var(--molytix-grey-forms-border);
    border-radius: var(--vrn-border-radius);
    margin-bottom: 5px;
    font-size: 16px !important;
    line-height: 16px !important;
    color: var(--font-color-disabled);
    margin-right: 5px;
}

.button-stunden-basic:hover {
    background-color: var(--molytix-grey-forms);
    color: var(--white);
}

.button-stunden-active {
    background-color: var(--background-menu);
    padding: 10px;
    border: 1px solid var(--background-menu);
    border-radius: var(--vrn-border-radius);
    margin-bottom: 5px;
    font-size: 16px !important;
    line-height: 16px !important;
    color: var(--white);
    margin-right: 5px;
}

.karte {
    background-color: var(--white);
    border: 1px solid var(--border-color);
    box-shadow: var(--shadow);
    margin-left: 0;
    margin-right: 0;
    /*Bedingung für responsive Ansicht*/
    min-width: 260px;
}

/*Bei DateEdit in Leistungserfassung text mittig:*/
#MainContent_CallbackPanelStundenverschreibung_DatumNeu_I {
    text-align: center !important;
}
/*End*/
